aboutsummaryrefslogtreecommitdiffstats
path: root/wpa_supplicant/doc/docbook/wpa_supplicant.conf.sgml
Commit message (Collapse)AuthorAgeFilesLines
* Add RoboSwitch driver interface for wpa_supplicantJouke Witteveen2008-11-181-1/+2
| | | | | | | | | | | | | | | | | | | | | | | | Find attached the patch that creates a new driver: roboswitch. This driver adds support for wired authentication with a Broadcom RoboSwitch chipset. For example it is now possible to do wired authentication with a Linksys WRT54G router running OpenWRT. LIMITATIONS - At the moment the driver does not support the BCM5365 series (though adding it requires just some register tweaks). - The driver is also limited to Linux (this is a far more technical restriction). - In order to compile against a 2.4 series you need to edit include/linux/mii.h and change all references to "u16" in "__u16". I have submitted a patch upstream that will fix this in a future version of the 2.4 kernel. [These modifications (and more) are now included in the kernel source and can be found in versions 2.4.37-rc2 and up.] USAGE - Usage is similar to the wired driver. Choose the interfacename of the vlan that contains your desired authentication port on the router. This name must be formatted as <interface>.<vlan>, which is the default on all systems I know.
* Enhance manpage with use of emphasis instead of strong quoteKel Modderman2008-02-281-2/+2
| | | | | | | | | | | The Debian package checker "lintian" was making noise about wpa_supplicant.conf(5). It was caused by a line beginning with ', which is apparently not liked by man(1). I suggest the use of <emphasis>word</emphasis> where 'word' is used at the moment. Signed-off-by: Kel Modderman <kel@otaku42.de>
* Re-initialize hostapd/wpa_supplicant git repository based on 0.6.3 releaseJouni Malinen2008-02-281-0/+238